/*
 * blanco Framework
 * Copyright (C) 2004-2009 IGA Tosiki
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.jsf.valueobject;

import java.util.List;

/**
 * blancoJsf が自動生成するバッチ処理クラスの各種情報をあらわします。
 */
public class BlancoJsfStructure {
    /**
     * JSF処理IDを指定します。必須項目です。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * パッケージ名を指定します。必須項目です。
     *
     * フィールド: [package]。
     */
    private String fPackage;

    /**
     * メッセージ定義の説明を記載します。
     *
     * フィールド: [description]。
     */
    private String fDescription;

    /**
     * クラス名の後方に付与されるサフィックス。
     *
     * フィールド: [suffix]。
     */
    private String fSuffix;

    /**
     * 画面フォワードの有無。
     *
     * フィールド: [forward]。
     * デフォルト: [false]。
     */
    private boolean fForward = false;

    /**
     * bean一覧のリスト。
     *
     * フィールド: [beanList]。
     * デフォルト: [new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfBeanItemStructure>()]。
     */
    private List<blanco.jsf.valueobject.BlancoJsfBeanItemStructure> fBeanList = new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfBeanItemStructure>();

    /**
     * SQL定義ID一覧のリスト。
     *
     * フィールド: [sqlList]。
     * デフォルト: [new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfSqlItemStructure>();]。
     */
    private List<blanco.jsf.valueobject.BlancoJsfSqlItemStructure> fSqlList = new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfSqlItemStructure>();;

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [JSF処理IDを指定します。必須項目です。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [JSF処理IDを指定します。必須項目です。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [package] の値を設定します。
     *
     * フィールドの説明: [パッケージ名を指定します。必須項目です。]。
     *
     * @param argPackage フィールド[package]に設定する値。
     */
    public void setPackage(final String argPackage) {
        fPackage = argPackage;
    }

    /**
     * フィールド [package] の値を取得します。
     *
     * フィールドの説明: [パッケージ名を指定します。必須項目です。]。
     *
     * @return フィールド[package]から取得した値。
     */
    public String getPackage() {
        return fPackage;
    }

    /**
     * フィールド [description] の値を設定します。
     *
     * フィールドの説明: [メッセージ定義の説明を記載します。]。
     *
     * @param argDescription フィールド[description]に設定する値。
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド [description] の値を取得します。
     *
     * フィールドの説明: [メッセージ定義の説明を記載します。]。
     *
     * @return フィールド[description]から取得した値。
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [suffix] の値を設定します。
     *
     * フィールドの説明: [クラス名の後方に付与されるサフィックス。]。
     *
     * @param argSuffix フィールド[suffix]に設定する値。
     */
    public void setSuffix(final String argSuffix) {
        fSuffix = argSuffix;
    }

    /**
     * フィールド [suffix] の値を取得します。
     *
     * フィールドの説明: [クラス名の後方に付与されるサフィックス。]。
     *
     * @return フィールド[suffix]から取得した値。
     */
    public String getSuffix() {
        return fSuffix;
    }

    /**
     * フィールド [forward] の値を設定します。
     *
     * フィールドの説明: [画面フォワードの有無。]。
     *
     * @param argForward フィールド[forward]に設定する値。
     */
    public void setForward(final boolean argForward) {
        fForward = argForward;
    }

    /**
     * フィールド [forward] の値を取得します。
     *
     * フィールドの説明: [画面フォワードの有無。]。
     * デフォルト: [false]。
     *
     * @return フィールド[forward]から取得した値。
     */
    public boolean getForward() {
        return fForward;
    }

    /**
     * フィールド [beanList] の値を設定します。
     *
     * フィールドの説明: [bean一覧のリスト。]。
     *
     * @param argBeanList フィールド[beanList]に設定する値。
     */
    public void setBeanList(final List<blanco.jsf.valueobject.BlancoJsfBeanItemStructure> argBeanList) {
        fBeanList = argBeanList;
    }

    /**
     * フィールド [beanList] の値を取得します。
     *
     * フィールドの説明: [bean一覧のリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfBeanItemStructure>()]。
     *
     * @return フィールド[beanList]から取得した値。
     */
    public List<blanco.jsf.valueobject.BlancoJsfBeanItemStructure> getBeanList() {
        return fBeanList;
    }

    /**
     * フィールド [sqlList] の値を設定します。
     *
     * フィールドの説明: [SQL定義ID一覧のリスト。]。
     *
     * @param argSqlList フィールド[sqlList]に設定する値。
     */
    public void setSqlList(final List<blanco.jsf.valueobject.BlancoJsfSqlItemStructure> argSqlList) {
        fSqlList = argSqlList;
    }

    /**
     * フィールド [sqlList] の値を取得します。
     *
     * フィールドの説明: [SQL定義ID一覧のリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.jsf.valueobject.BlancoJsfSqlItemStructure>();]。
     *
     * @return フィールド[sqlList]から取得した値。
     */
    public List<blanco.jsf.valueobject.BlancoJsfSqlItemStructure> getSqlList() {
        return fSqlList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.jsf.valueobject.BlancoJsfStructure[");
        buf.append("name=" + fName);
        buf.append(",package=" + fPackage);
        buf.append(",description=" + fDescription);
        buf.append(",suffix=" + fSuffix);
        buf.append(",forward=" + fForward);
        buf.append(",beanList=" + fBeanList);
        buf.append(",sqlList=" + fSqlList);
        buf.append("]");
        return buf.toString();
    }
}
